Bug 479718 - gnome-packagekit did not display detail information when installing (a) package(s)
gnome-packagekit did not display detail information when installing (a) packa...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 12:16 EST by yunus
Modified: 2009-02-24 11:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 11:59:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yunus 2009-01-12 12:16:11 EST
Description of problem:
gnome-packagekit did not display detailed information when installing (a) package(s)

Version-Release number of selected component (if applicable):
gnome-packagekit.x86_64   0.3.12-1.fc10


How reproducible:
it is always reproducible

Steps to Reproduce:
1. start gnome-packagekit
2. install (a) package(s)
3. see whether gnome-packagekit provide detailed information as described in "Expected results" below
  
Actual results:
 
No detailed information about the installation

Expected results:

When installing a package gnome-packagekit should provide an option the see the detailed information as follows:
  1. List of packages (including its dependancies), package version and size
     that will be installed.
  2. Information about the size of current single package that has been downloaded.
  3. Information about the speed of downloading current single package.
  4. Information about total size of all packages that has been downloaded 
  5. Information about the estimated time when the installation will be finished


Additional info:
Comment 1 Richard Hughes 2009-01-13 08:09:50 EST
Time is useful, but I'm not sure how useful a "size" indicator would be. We don't know 100% the size of the transaction until we are running it, and so any number would be a best guess heuristic.

I've committed this tho:

commit 5d5d2864812dd115880d17f6cc34577999af3869
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jan 13 13:07:54 2009 +0000

    feature: add an entry to the config file to turn on time estimation, and enable it by default
Comment 2 yunus 2009-01-13 10:20:51 EST
If I know the size dan the speed then I will be able to estimate when the installation will be finished.

For example:
I learn that if my internet connection has the speed = 32kB/s, then it will take about an hour to install a package (and all its dependencies) that have total size 112.5MB. 

So, next time, when I install a package (and all its dependencies) with total size 787.5MB, then I will know that the installation will take about 7 hours. I will arrange this installation at night while I take a sleep.

I personally need this "size" indicator though I am not sure that it will useful to many other users.  

I like the way yum provide detailed information with nicer format (compared to aptitude/apt-get on debian)
Comment 3 yunus 2009-02-24 11:59:29 EST
I do not run F10 anymore. So, I close this bug number. Currently, I am running rawhide and see that time estimation has been implemented. I would love to see the rest of the features I described before to be implemented someday.

Thanks, Richard.

Note You need to log in before you can comment on or make changes to this bug.